OaIdl.FUNCKIND (JNA API)

com.sun.jna.platform.win32

## Class OaIdl.FUNCKIND

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.FUNCKIND

- Direct Known Subclasses:
    OaIdl.FUNCKIND.ByReference
  Enclosing interface:
    OaIdl

      @Structure.FieldOrder(value="value")
      public static class OaIdl.FUNCKIND
      extends Structure

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OaIdl.FUNCKIND.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FUNC_DISPATCH`
    `static int` | `FUNC_NONVIRTUAL`
    `static int` | `FUNC_PUREVIRTUAL`
    `static int` | `FUNC_STATIC`
    `static int` | `FUNC_VIRTUAL`
    `int` | `value`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FUNCKIND()`
    `FUNCKIND(int value)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FUNC_VIRTUAL

          public static final int FUNC_VIRTUAL

      See Also:
        Constant Field Values

    - #### FUNC_PUREVIRTUAL

          public static final int FUNC_PUREVIRTUAL

      See Also:
        Constant Field Values

    - #### FUNC_NONVIRTUAL

          public static final int FUNC_NONVIRTUAL

      See Also:
        Constant Field Values

    - #### FUNC_STATIC

          public static final int FUNC_STATIC

      See Also:
        Constant Field Values

    - #### FUNC_DISPATCH

          public static final int FUNC_DISPATCH

      See Also:
        Constant Field Values

    - #### value

          public int value

  - ### Constructor Detail

    - #### FUNCKIND

          public FUNCKIND()

    - #### FUNCKIND

          public FUNCKIND(int value)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.